import { GuessResult } from "../game/game.ts";
import { Awaitable } from "../utils.ts";

export interface Guessing {
	declare_properties(): string[];
	guess(try_: (guess: string, ...properties: unknown[]) => Awaitable<GuessResult>): Promise<GuessResult | null>;
}
